/*
Autor  : Piotr Zielinski
Zadanie: Kolejnosc przedstawien
*/

#include <stdio.h>
#include <stdlib.h>

double values[5000];
int people[5000];
double sum;

int comp(const void *a, const void *b) {
	int A = *(int*)a;
	int B = *(int*)b;
	if (values[A]>values[B]) return -1;
	if (values[B]>values[A]) return 1;
	return 0;
}

int n;

void Compute(FILE *fin, FILE *fout) {
	fscanf(fin, "%i", &n);

	for(int i=0;i<n;i++) {
		fscanf(fin, "%lf", values+i);
		people[i]=i;
	}

	qsort(people, n, sizeof(people[0]), comp);

	for(i=0;i<n;i++)
		fprintf(fout,"%i ", people[i]+1);
	fputc('\n',fout);
}


int main(void) {
	FILE *fin = fopen("kolej.in","rt");
	FILE *fout = fopen("kolej.out","wt");
	int d;

	fscanf(fin, "%i", &d);
	for(int i=0;i<d;i++)
		Compute(fin, fout);

	fclose(fin);
	fclose(fout);
	return 0;
}