/*
Autor  : Piotr Zielinski
Zadanie: Kolejnosc przedstawien
*/

#include <stdio.h>
#include <string.h>

double values[5000];
char was[5000];

int n;

int Compute(FILE *fin, FILE *fout) {
	fscanf(fin, "%i", &n);
	double sum=0;

	for(int i=0;i<n;i++) {
		fscanf(fin, "%lf", values+i);
		sum+=values[i];
	}

	int last=-1;
	memset(was, 0, sizeof(was));

	for(i=0;i<n;i++) {
		int p;
		if (fscanf(fout, "%i", &p)<=0) return 1;
		p--;
		if (p<0 || p>=n) return 1;
		if (was[p]) return 1;
		was[p]=1;
		if (last>=0 && values[last]*(sum-values[last]) < (sum-values[p])*values[p]) return 1;
		last=p;
	}

	return 0;
}


int main(void) {
	FILE *fin = fopen("kolej.in","rt");
	FILE *fout = fopen("kolej.out","rt");
	int d;

	fscanf(fin, "%i", &d);
	for(int i=0;i<d;i++)
		if (Compute(fin, fout)) return 1;

	if (fscanf(fin, "%i", &d)>0) return 1;

	printf("OK!");
	fclose(fin);
	fclose(fout);
	return 0;
}