/*
Autor  : Piotr Zielinski
Zadanie: Rozwiniecie ulamka
*/

#include <stdio.h>
#include <math.h>

char buffer[1010];

void Compute(FILE *fin, FILE *fout) {
	fscanf(fin, "%s",buffer);

	double v1=0.0, v2=0.0;

	double mult1=1.0, mult2=1.0;
	for(int i=0;buffer[i]!='(' && buffer[i];i++) {
		mult1/=10.0;
		v1+=(buffer[i]-'0')*mult1;
	}
	if (buffer[i])
		for(i++;buffer[i] && buffer[i]!=')';i++) {
			mult2/=10.0;
			v2+=(buffer[i]-'0')*mult2;
		}

	double value = v1 + mult1*v2/(1-mult2);
	for(double m=1;m<10001;m++) {
		double n = floor(m*value+0.5);
		if (fabs(n - m*value)<1E-8) break;
	}

	fprintf(fout,"%i %i\n",(int)(m*value+0.5),(int)(m+0.5));
}

int main(void) {
	FILE *fin = fopen("ulamek.in","rt");
	FILE *fout = fopen("ulamek.out","wt");
	int d;

	fscanf(fin, "%i", &d);
	for(int i=0;i<d;i++)
		Compute(fin, fout);

	fclose(fin);
	fclose(fout);
	return 0;
}